## org.eclipse.e4.xwt.metadata
Interface IProperty

All Superinterfaces:
  IBehavior

    public interface IProperty

extends IBehavior

UI property

Author:
  yyang

Method Summary
`void` `addSetPostAction(ISetPostAction setPostAction)`
`java.lang.Class<?>` `getType()`
`java.lang.Object` `getValue(java.lang.Object target)`
`void` `removeSetPostAction(ISetPostAction setPostAction)`
`void` `setType(java.lang.Class<?> type)`
`void` `setValue(java.lang.Object target, java.lang.Object value)` Can generate event

Methods inherited from interface org.eclipse.e4.xwt.metadata.IBehavior
`getName, setName`

Method Detail

### getType

    java.lang.Class<?> getType()

### setType

    void setType(java.lang.Class<?> type)

### setValue

    void setValue(java.lang.Object target,
                  java.lang.Object value)
                  throws java.lang.IllegalArgumentException,
                         java.lang.IllegalAccessException,
                         java.lang.reflect.InvocationTargetException,
                         java.lang.SecurityException,
                         java.lang.NoSuchFieldException

  Can generate event

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.SecurityException`
    `java.lang.NoSuchFieldException`

### getValue

    java.lang.Object getValue(java.lang.Object target)
                              throws java.lang.IllegalArgumentException,
                                     java.lang.IllegalAccessException,
                                     java.lang.reflect.InvocationTargetException,
                                     java.lang.SecurityException,
                                     java.lang.NoSuchFieldException

  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.SecurityException`
    `java.lang.NoSuchFieldException`

### addSetPostAction

    void addSetPostAction(ISetPostAction setPostAction)

### removeSetPostAction

    void removeSetPostAction(ISetPostAction setPostAction)